﻿'use strict';
window.WingtipToys = window.WingtipToys || {};
WingtipToys.Jsom = WingtipToys.Jsom || {};
WingtipToys.Rest = WingtipToys.Rest || {};


$(document).ready(function () {
    
    //Load the ViewModels
    WingtipToys.ViewModel.Rest.load();
    WingtipToys.ViewModel.Jsom.load();

    //Apply Knockout Bindings
    ko.applyBindings(WingtipToys.ViewModel.Rest, document.getElementById("restTable"));
    ko.applyBindings(WingtipToys.ViewModel.Jsom, document.getElementById("jsomTable"));

    //Create a new security group
    //WingtipToys.Jsom.Security.add_siteGroup("New Group", "A new group", SP.RoleType.contributor);

    //Check Permissions
    //WingtipToys.Jsom.Security.check_Permissions(SP.PermissionKind.viewListItems)
    //.then(
    //function (flag) {
    //    alert(flag.get_value());
    //},
    //function (sender, args) {
    //    alert(args.get_message());
    //}
    //);


    WingtipToys.Rest.Security.check_Permissions(SP.PermissionKind.viewListItems)
    .then(
    function (data) {
        alert(data.d.DoesUserHavePermissions);
    },
    function (err) {
        alert(JSON.stringify(err));
    }
    );

});
